Skip to main content

Get Global Cluster Replication Lag (V2)

Returns replication lag from the primary cluster to each secondary cluster.

GET/v2/globalClusters/{globalClusterId}/replicationLag
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
globalClusterIdstringpathrequired

ID of the Global Cluster.

Example Value: glo-xxxxxxxxxxxxxxx
export TOKEN="YOUR_API_KEY"
export globalClusterId="glo-xxxxxxxxxxxxxxx"

curl --request GET \
--url "${BASE_URL}/v2/globalClusters/${globalClusterId}/replicationLag" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json"
Responses200 - application/json
globalClusterIdstring

Global Cluster ID.

Example Value: glo-xxxxxxxxxxxxxxx
primaryClusterIdstring

Primary cluster ID.

Example Value: in01-primary
primaryRegionIdstring

Primary cluster region ID.

Example Value: aws-us-west-2
lagsarray

Replication lag from the primary cluster to each secondary cluster.

[]lagsobject
secondaryClusterIdstring

Secondary cluster ID.

Example Value: in01-secondary-eu
secondaryRegionIdstring

Secondary cluster region ID.

Example Value: aws-eu-west-1
lagMsinteger

Replication lag in milliseconds.

Example Value: 120

Returns an error message.

codeinteger

Response code.

Example Value: 400
messagestring

Error message.

Example Value: Invalid request parameters.
{
"globalClusterId": "glo-xxxxxxxxxxxxxxx",
"primaryClusterId": "in01-primary",
"primaryRegionId": "aws-us-west-2",
"lags": [
{
"secondaryClusterId": "in01-secondary-eu",
"secondaryRegionId": "aws-eu-west-1",
"lagMs": 120
}
]
}